## ros-rolling-libmavconn 2.1.0

=== debian/changelog ===
ros-rolling-libmavconn (2.1.0-1focal) focal; urgency=high

  * lib: fix reorder
  * Merge branch 'master' into ros2
    * master:
    1.13.0
    update changelog
    py-lib: fix compatibility with py3 for Noetic
    re-generate all coglets
    test: add checks for ROTATION_CUSTOM
    lib: Fix rotation search for CUSTOM
    Removed CamelCase for class members.  Publish to "report"
    More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
    Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
    Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html
    Fixed topic names to match more closely what other plugins use.  Fixed a typo.
    Add plugin for reporting terrain height estimate from FCU
    1.12.2
    update changelog
    Set time/publish_sim_time to false by default
    plugin: setpoint_raw: move getParam to initializer
    extras: trajectory: backport #1667 <https://github.com/mavlink/mavros/issues/1667>
  * 1.13.0
  * update changelog
  * Merge pull request #1682 <https://github.com/mavlink/mavros/issues/1682> from SylvainPastor/fix/libmavconn/tcp/resource_deadlock
    fix std::system_error when tcp interface loses connection
  * fix code style divergences
  * fix std::system_error when tcp interface loses connection
    When the tcp connection is lost (remote TCP server stopped), an 'End of file' error is caught
    by the io_thread in the do_recv() that calls the close() function.
    In the close() function, we stop the io_service and wait for the end of the io_thread which
    causes an std::system_error exception (cause: Resource deadlock avoided).
    Error:   mavconn: tcp0: receive: End of file at line 250 in libmavconn/src/tcp.cpp
    terminate called after throwing an instance of 'std::system_error'
    what():  Resource deadlock avoided
    Aborted (core dumped)
    fix:
    - close() function: stop io_service if current thread id != io_thread id
    - ~MAVConnTCPClient(): stop io_service and io_thread if thread is running
  * Merge pull request #1679 <https://github.com/mavlink/mavros/issues/1679> from SylvainPastor/libmavconn/fix-tcp-deadlock-when-close
    libmavconn: fix deadlock when call close()
  * fix deadlock when call close()
    When calling the close() function (by a different thread), a lock (mutex) is taken at
    the start of this function which closes the socket and waits the end of io_service thread.
    Closing the socket causes the 'Operation aborted' error in do_recv() function called by
    io_service thread which in turn calls the close() function: sthis->close().
    This causes a 'deadlock'.
    fix: Reduce the scope of the lock in the close() function so that it is released before
    waiting for the thread to end.
  * 1.12.2
  * update changelog
  * lib: fix linter errors
  * Merge branch 'master' into ros2
    * master:
    1.12.1
    update changelog
    mavconn: fix connection issue introduced by #1658 <https://github.com/mavlink/mavros/issues/1658>
    mavros_extras: Fix some warnings
    mavros: Fix some warnings
  * 1.12.1
  * update changelog
  * mavconn: fix connection issue introduced by #1658 <https://github.com/mavlink/mavros/issues/1658>
  * Contributors: Sylvain Pastor, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 02 Feb 2022 00:00:00 -0000

ros-rolling-libmavconn (2.0.5-1focal) focal; urgency=high

  * extras: fix some linter errors.
    Do you know how to make me mad? Just let ament_uncrustify and
    ament_cpplint require opposite requirements!
  * lib: fix linter errors
  * fix some build warnings; drop old copter vis
  * lib: fix merge artifact
  * Merge branch 'master' into ros2
    * master:
    1.12.0
    update changelog
    Fix multiple bugs
    lib: fix mission frame debug print
    extras: distance_sensor: revert back to zero quaternion
  * 1.12.0
  * update changelog
  * Merge pull request #1658 <https://github.com/mavlink/mavros/issues/1658> from asherikov/as_bugfixes
    Fix multiple bugs
  * Fix multiple bugs
    - fix bad_weak_ptr on connect and disconnect
    - introduce new API to avoid thread race when assigning callbacks
    - fix uninitialized variable in TCP client constructor which would
    randomly block TCP server
    This is an API breaking change: if client code creates connections using
    make_shared<>() instead of open_url(), it is now necessary to call new
    connect() method explicitly.
  * cmake: require C++20 to build all modules
  * lib: ignore MAVPACKED-related warnings from mavlink
  * Merge branch 'master' into ros2
    * master:
    1.11.1
    update changelog
    lib: fix build
  * 1.11.1
  * update changelog
  * Merge branch 'master' into ros2
    * master:
    1.11.0
    update changelog
    lib: fix ftf warnings
    msgs: use pragmas to ignore unaligned pointer warnings
    extras: landing_target: fix misprint
    msgs: fix convert const
    plugin: setpoint_raw: fix misprint
    msgs: try to hide 'unaligned pointer' warning
    plugin: sys: fix compillation error
    plugin: initialize quaternions with identity
    plugin: sys: Use wall timers for connection management
    Use meters for relative altitude
    distance_sensor: Initialize sensor orientation quaternion to zero
    Address review comments
    Add camera plugin for interfacing with mavlink camera protocol
  * 1.11.0
  * update changelog
  * Contributors: Alexander Sherikov, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 28 Nov 2021 00:00:00 -0000

ros-rolling-libmavconn (2.0.4-1focal) focal; urgency=high

  * Merge branch 'master' into ros2
    * master:
    1.10.0
    prepare release
  * 1.10.0
  * prepare release
  * mavconn: update to use std::error_code
  * Merge branch 'master' into ros2
    * master: (25 commits)
    Remove reference
    Catch std::length_error in send_message
    Show ENOTCONN error instead of crash

