=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vladimir Ermakov <vooon341@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libasio-dev, libconsole-bridge-dev, python3-empy, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-mavlink, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libasio-dev, libconsole-bridge-dev, python3-empy, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-mavlink, ros-rolling-ros-workspace
 Homepage: http://wiki.ros.org/mavros
 Standards-Version: 3.9.2
